const mongoose = require('mongoose');

// Define the schema for storing VIN, HTML content, and file paths for CSS/JS
const JsDataSchema = new mongoose.Schema({
    vin: {
        type: String,
        required: true,
        unique: true,
    },
    jsContent: {
        type: String, // Store the filenames of the JS files
        required: false,
    }
});

const jsData = mongoose.model('jsData', JsDataSchema);
module.exports = jsData;
